module Main where

import Test.Integration.Broker (brokerTests, initPGMQBroker)
import Test.Integration.PGMQ.Simple (pgmqSimpleTests)
import Test.Tasty
import Test.Tasty.Hspec



main :: IO ()
main = do
  pgmqBroker <- initPGMQBroker
  brokerSpec <- testSpec "brokerTests" (brokerTests pgmqBroker)
  pgmqSimpleSpec <- testSpec "pgmqSimpleTests" pgmqSimpleTests

  defaultMain $ testGroup "integration tests"
    [ brokerSpec
    , pgmqSimpleSpec ]


